/*
预配盘相关接口
 */
import request from "@/utils/request";

/**
 * 摆放位置查询
 */
export function getBfwz(data={}) {return request({url: '/dwxx/list', method: 'post', data})}

/**
 * 摆放位置增删改
 * @param data
 * @returns {*}
 */
export function saveBfwz(data={}) {return request({url: '/dwxx/addOrEdit', method: 'post', data})}

export function getYppyzList(data={}) {return request({url: '/yppyz/list', method: 'post', data})}

export function getDmppxxbList(data={}) {return request({url: '/dmPpxxb/getDmppxxbList', method: 'post', data})}
export function getDmppxxbListAndYz(data={}) {return request({url: '/dmPpxxb/getDmppxxbListAndYz', method: 'post', data})}

export function saveDmppxxb(data) {return request({url: '/dmPpxxb/saveDmppxxb', method: 'post', data})}
export function saveDmppxxbpg(data) {return request({url: '/dmPpxxb/saveDmppxxbpg', method: 'post', data})}
export function saveDmppxxbqr(data) {return request({url: '/dmPpxxb/saveDmppxxbqr', method: 'post', data})}

export function getList(data) {return request({url: '/ypp/getList', method: 'post', data})}

export function getLjxx(data) {return request({url: '/ypp/getLjxx', method: 'post', data})}

export function getPpxx(data) {return request({url: '/ypp/getPpxx', method: 'post', data})}

export function checkBfwz(data) {return request({url: '/ypp/checkBfwz', method: 'post', data})}

export function yppZx(data) {return request({url: '/ypp/zx', method: 'post', data})}

export function yppQr(data) {return request({url: '/ypp/qr', method: 'post', data})}

export function yppQtcj(data) {return request({url: '/ypp/qtjc', method: 'post', data})}
